import {
  createElement
} from '@antv/f2';
import Chart from './chart';
import {
  jsx as _jsx
} from "@antv/f2/jsx-runtime";
Component({
  data: {
    onRenderChart: () => {}
  },
  methods: {
    render(data) {
      this.setData({
        onRenderChart: () => {
          return this.renderChart(data);
        }
      });
    },
    renderChart(data) {
      return createElement(Chart, {
        data
      });
    }
  }
})